=== modified file 'README.txt'
--- README.txt	2008-06-16 00:28:36 +0000
+++ README.txt	2008-06-17 17:12:59 +0000
@@ -52,15 +52,12 @@
 locking to prevent corruption.
 
 
-CACHES
-------
-
-To speed up operations with large branches, loggerhead can be configured
-to create a files changed cache per branch on request:
-
-    - a cache of files changed in a revision
-
-You can put the cache folder anywhere.
+FILES CHANGED CACHE
+-------------------
+
+To speed up the display of the changelog view for large trees,
+loggerhead can be configured to cache the files changes between
+revisions.  Set the 'cachepath' value in the config file.
 
 
 SUPPORT

=== modified file 'loggerhead.conf.example'
--- loggerhead.conf.example	2008-06-16 00:28:36 +0000
+++ loggerhead.conf.example	2008-06-17 17:12:59 +0000
@@ -27,7 +27,7 @@
     # for the top browsing page, you can include a description, in raw HTML.
     #description = 'Bazaar is a <i>revision control system</i>.'
 
-    # should we cache files changed? (recommended)
+    # should we cache files changed? (recommended for large trees)
     # this will be a folder containing one file.  if the folder doesn't
     # exist, it'll be created.
     #

=== modified file 'loggerhead/branchview.py'
--- loggerhead/branchview.py	2008-06-16 00:28:36 +0000
+++ loggerhead/branchview.py	2008-06-17 17:12:59 +0000
@@ -58,7 +58,6 @@
         # branch history
         self._history_lock = threading.RLock()
         self._history = None
-        self._closed = False
 
         self.changes = ChangeLogUI(self)
         self.revision = RevisionUI(self)
@@ -131,8 +130,6 @@
         calls.  but if the bazaar branch on-disk has been updated since this
         History was created, a new object will be created and returned.
         """
-        if self._closed:
-            return None
         if (self._history is None) or self._history.out_of_date():
             self.log.debug('Reload branch history...')
             _history = self._history = History.from_folder(
@@ -145,8 +142,6 @@
                 _history.use_file_cache(FileChangeCache(_history, cache_path))
         return self._history
 
-        h = self.get_history()
-
     def url(self, elements, **kw):
         "build an url relative to this branch"
         if not isinstance(elements, list):

=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2008-06-16 00:28:36 +0000
+++ loggerhead/changecache.py	2008-06-17 17:12:59 +0000
@@ -27,7 +27,6 @@
 
 import cPickle
 import os
-import time
 
 from loggerhead import util
 from loggerhead.lockfile import LockFile
@@ -50,8 +49,6 @@
                 ).replace('?', _param_marker)
 _insert_stmt = ("insert into revisiondata (revid, data) "
                 "values (?, ?)").replace('?', _param_marker)
-_update_stmt = ("update revisiondata set data = ? where revid = ?"
-                ).replace('?', _param_marker)
 
 
 
@@ -80,53 +77,10 @@
             return None
         else:
             return self._unserialize(filechange[0])
-    def add(self, revid_obj_pairs, commit=True):
+    def add(self, revid_obj_pairs):
         for  (r, d) in revid_obj_pairs:
             self.cursor.execute(_insert_stmt, (r, self._serialize(d)))
-        if commit:
-            self.connection.commit()
-    def update(self, revid_obj_pairs, commit=True):
-        for  (r, d) in revid_obj_pairs:
-            self.cursor.execute(_update_stmt, (self._serialize(d), r))
-        if commit:
-            self.connection.commit()
-    def count(self):
-        self.cursor.execute(
-            "select count(*) from revisiondata")
-        return self.cursor.fetchone()[0]
-    def close(self, commit=False):
-        if commit:
-            self.connection.commit()
-        self.connection.close()
-
-        self.log.info('Building revision cache...')
-        start_time = time.time()
-        last_update = time.time()
-        count = 0
-
-        work = list(self.history.get_revision_history())
-        jump = 100
-        for i in xrange(0, len(work), jump):
-            r = work[i:i + jump]
-            # must call into history so we grab the branch lock (otherwise, lock inversion)
-            self.history.get_changes(r)
-            if self.closed():
-                self.flush()
-                return
-            count += jump
-            now = time.time()
-            if now - start_time > max_time:
-                self.log.info('Cache rebuilding will pause for now.')
-                self.flush()
-                return
-            if now - last_update > 60:
-                self.log.info('Revision cache rebuilding continues: %d/%d' % (min(count, len(work)), len(work)))
-                last_update = time.time()
-                self.flush()
-            # give someone else a chance at the lock
-            time.sleep(1)
-        self.log.info('Revision cache rebuild completed.')
-        self.flush()
+        self.connection.commit()
 
 class FileChangeCache(object):
     def __init__(self, history, cache_path):

=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2008-06-16 00:28:36 +0000
+++ loggerhead/controllers/__init__.py	2008-06-17 17:12:59 +0000
@@ -116,10 +116,3 @@
         }
         vals.update(templatefunctions)
         return vals
-
-
-# for use in profiling the very-slow get_change() method:
-#h = Root.bazaar.bzr_dev.get_history()
-#w = list(h.get_revision_history())
-#h._get_changes_profiled(w[:100])
-

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-06-16 00:28:36 +0000
+++ loggerhead/history.py	2008-06-17 17:12:59 +0000
@@ -352,20 +352,6 @@
         return revid_list[index:]
 
     @with_branch_lock
-    def get_revision_history_matching(self, revid_list, text):
-        self.log.debug('searching %d revisions for %r', len(revid_list), text)
-        z = time.time()
-        # this is going to be painfully slow. :(
-        out = []
-        text = text.lower()
-        for revid in revid_list:
-            change = self.get_changes([ revid ])[0]
-            if text in change.comment.lower():
-                out.append(revid)
-        self.log.debug('searched %d revisions for %r in %r secs', len(revid_list), text, time.time() - z)
-        return out
-
-    @with_branch_lock
     def get_search_revid_list(self, query, revid_list):
         """
         given a "quick-search" query, try a few obvious possible meanings:
@@ -490,14 +476,12 @@
         else:
             revid_list = None
 
-        try:
-            revid_list = self.get_search_revid_list(query, revid_list)
-            if len(revid_list) > 0:
-                if revid not in revid_list:
-                    revid = revid_list[0]
-                return revid, start_revid, revid_list
-        except:
-            # no results
+        revid_list = self.get_search_revid_list(query, revid_list)
+        if revid_list and len(revid_list) > 0:
+            if revid not in revid_list:
+                revid = revid_list[0]
+            return revid, start_revid, revid_list
+        else:
             return None, None, []
 
     @with_branch_lock
@@ -519,7 +503,6 @@
             path = '/' + path
         return self._branch.repository.get_revision_inventory(revid).path2id(path)
 
-
     def get_merge_point_list(self, revid):
         """
         Return the list of revids that have merged this node.
@@ -620,17 +603,6 @@
 
         return changes
 
-    # alright, let's profile this sucka. (FIXME remove this eventually...)
-    def _get_changes_profiled(self, revid_list):
-        from loggerhead.lsprof import profile
-        import cPickle
-        ret, stats = profile(self.get_changes_uncached, revid_list)
-        stats.sort()
-        stats.freeze()
-        cPickle.dump(stats, open('lsprof.stats', 'w'), 2)
-        self.log.info('lsprof complete!')
-        return ret
-
     @with_branch_lock
     @with_bzrlib_read_lock
     def get_changes_uncached(self, revid_list):

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2008-06-13 05:44:04 +0000
+++ loggerhead/util.py	2008-06-17 17:12:59 +0000
@@ -37,6 +37,13 @@
 
 log = logging.getLogger("loggerhead.controllers")
 
+def fix_year(year):
+    if year < 70:
+        year += 2000
+    if year < 100:
+        year += 1900
+    return year
+
 # Display of times.
 
 # date_day -- just the day

